Update a project within an organization
curl --request PATCH \
--url https://api.ionworks.com/projects/{project_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.ionworks.com/projects/{project_id}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.ionworks.com/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"user_project_roles": [
{
"user_id": "<string>",
"project_id": "<string>",
"project_role_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"project_roles": {
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"project_role_permissions": [
{}
]
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Update a project within an organization
Update a project within an organization
Path Parameters
Body
application/json
Response
Successful Response
The name of the project.
The unique identifier for the project.
The ID of the organization this project belongs to.
Timestamp of when the project was created.
Timestamp of when the project was last updated.
An optional description for the project.
The user project roles in the project.
Show child attributes
Show child attributes
Was this page helpful?
⌘I